## Script para el Análisis de Archivos de Datos

## Finalidad del script
El script se usa para tener una información útil sobre un dataset de un archivo. Describe los campos de éste y muestra características importantes

## Requisitos del Sistema
- Instalar Python en su version minima de 3.7
- Tener mapeado el interprete en el path como: python3 (Alias)
- Tener mapeado el administrador de paquetes de python como: pip3 (Alias)
- Tener instalado la libreria para entornos virtuales: "virtualenv", si no se tiene, instalarla de la siguiente manera:
      
      pip3 install virtualenv

## Creación de entorno virtual
```sh
python3 -m virtualenv analisis
source analisis/bin/activate
pip3 install -r dataset-descriptor/requirements.txt
```

## Configuración
- Configurar el separador de las tramas en el archivo dataset_descriptor/config.py. Por defecto traerá el separador=';'
- El formato de fecha que se muestra en consola también se puede cambiar en el archivo mencionado.
- El archivo dataset_descriptor/monedas.json contiene los símbolos de monedas que se detectará en el proceso y se indicará el tipo de dato Moneda si en caso encuentre una de ellas.
- Los formatos de fecha admitidos para el parseo de datos de tipo fecha esta en el archivo de configuración. Se pueden agregar tantos formatos se desee.

## Parámetros del script:
```sh
cd dataset-descriptor
python3 -m dataset_descriptor --help
```
- El parámetro header (--header) se pondrá como argumento si el archivo o los archivos de la carpeta contiene header 

## Ejemplos de ejecución:
- Procesará el archivo train.csv y guardará el inforrme en prueba.json
```sh
python3 -m dataset_descriptor -f train.csv -o prueba.json 
```

- Procesará los archivos de la carpeta test y guardará el inforrme integral en prueba.json
```sh
python3 -m dataset_descriptor -f test -o prueba.json 
```

- Procesará los archivos de la carpeta test y guardará los informes en la carpeta salida
```sh
python3 -m dataset_descriptor -f test -o salida -s 
```

- Procesará el archivo train.csv y muestra el informe en consola
```sh
python3 -m dataset_descriptor -f train.csv
```

- Procesará el archivo train.csv e indicar que contiene header
```sh
python3 -m dataset_descriptor -f train.csv --header
```

- Procesará los archivos de la carpeta salida y le indicamos que todos sus archivos contienen header (si no se especifica -o solo muestr en consola)
```sh
python3 -m dataset_descriptor -f salida --header
```

- Procesará el archivo prueba.csv y lo guardara en el archivo /prueba1/prueba2/test1/test2/salida.json  (creará los directorios de forma recursiva si en caso no existen)
```sh
python3 -m dataset_descriptor -f prueba.csv -o /prueba1/prueba2/test1/test2/salida.json
```